Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.86/7: Рейтинг темы: голосов - 7, средняя оценка - 4.86
santalix
2 / 2 / 0
Регистрация: 09.12.2012
Сообщений: 57
1

Android.support.v7

18.12.2014, 12:43. Просмотров 1327. Ответов 11
Метки нет (Все метки)

Народ, помогите пожалуйста.
Интелиж не видит android.support.v7.app.ActionBarActivity
хотя в android sdk manager support скачан, в библиотеках путь указан к этой директории, но все равно не видит он ее
Что делать??
0
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
18.12.2014, 12:43
Ответы с готовыми решениями:

Android.support.v4.app.FragmentActivity не работает в Android Studio
объясните пожалуйста,как в андроид студио добавить вышеуказанную...

Android-support-v7 ошибка
Добрый вечер, устанавливал google maps API для проекта. и случайно видимо...

Android.support.v7.widget.GridLayout
Друзья, помогите пожалуйста! Никак не получается включить GridLayout в макет из...

Идеология com.android.support:appcompat
Немного не ясно назначение данной библиотеки. Насколько я понимаю, она нужна,...

Android-support-v4 и настройка Eclips
Перенес проект с дом. компа на рабочий, все работало нормально до определенного...

11
CoolMind
422 / 404 / 66
Регистрация: 06.10.2012
Сообщений: 1,734
18.12.2014, 13:31 2
santalix, а что пишет? Красным цветом выделяет?
0
santalix
2 / 2 / 0
Регистрация: 09.12.2012
Сообщений: 57
18.12.2014, 13:38  [ТС] 3
CoolMind, Да, именно так
0
Миниатюры
Android.support.v7  
Spelcrawler
531 / 501 / 113
Регистрация: 12.03.2014
Сообщений: 1,666
Завершенные тесты: 1
18.12.2014, 13:41 4
santalix, support v7 обновили, теперь она приводит все не к версии 4.*, а к версии 5.* - а в андроиде 5.0 уже нет екшнбара. Думаю, поэтому такая ошибка
0
santalix
2 / 2 / 0
Регистрация: 09.12.2012
Сообщений: 57
18.12.2014, 13:45  [ТС] 5
Spelcrawler, вот как, а какие тогда пути решения этой траблы могут быть?
0
Spelcrawler
531 / 501 / 113
Регистрация: 12.03.2014
Сообщений: 1,666
Завершенные тесты: 1
18.12.2014, 13:51 6
santalix, хотя нет, наврал я. От того же класса наследуется. Попробуй сделать clean project и потом build project.
0
CoolMind
422 / 404 / 66
Регистрация: 06.10.2012
Сообщений: 1,734
18.12.2014, 13:57 7
santalix, честно говоря, давно не работал в IntelliJ IDEA, а в build.gradle у вас есть такие строки?
dependencies {
compile 'com.android.support:appcompat-v7:19.+'
Правда, не уверен, что поможет.
0
santalix
2 / 2 / 0
Регистрация: 09.12.2012
Сообщений: 57
18.12.2014, 14:33  [ТС] 8
CoolMind, вот такие там строки
}
dependencies {
classpath 'com.android.tools.build:gradle:0.12.2'
compile "com.android.support:support-v4:18.0.+"
compile "com.android.support:appcompat-v7:18.0.+"
}
}
0
CoolMind
422 / 404 / 66
Регистрация: 06.10.2012
Сообщений: 1,734
18.12.2014, 14:56 9
santalix, поглядите http://stackoverflow.com/questions/1...-intellij-idea и, может быть, http://stackoverflow.com/questions/1...rtappcompat-v7. В этом случае вопрос, какая у вас минимальная платформа и целевая (minSDKVersion, targetSDKVersion)? Все ли нужные SDK скачаны в SDK Manager'е? Делали по гайду?
0
Spelcrawler
531 / 501 / 113
Регистрация: 12.03.2014
Сообщений: 1,666
Завершенные тесты: 1
18.12.2014, 15:21 10
Цитата Сообщение от santalix Посмотреть сообщение
compile "com.android.support:appcompat-v7:18.0.+"
Попробуйте заменить на: compile "com.android.support:appcompat-v7:21.0.+
0
santalix
2 / 2 / 0
Регистрация: 09.12.2012
Сообщений: 57
18.12.2014, 16:16  [ТС] 11
CoolMind, В SDK Manager'e скачано всё. Делал как раз по приведенному Вами гайду.

Spelcrawler, заменил. Изменений нет
0
CoolMind
422 / 404 / 66
Регистрация: 06.10.2012
Сообщений: 1,734
18.12.2014, 16:50 12
santalix, непонятно, как дела с настройками зависимостей и модулей. Поглядите ещё http://stackoverflow.com/questions/2...ot-be-resolved.
0
18.12.2014, 16:50
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
18.12.2014, 16:50

Для чего нужен android.support.v4
Вопрос к знатокам: почему AS по умолчанию импортирует в проект классы из...

Как подключить com.android.support:design в Eclipse
Доброго дня! Недавно вышла новая библиотека com.android.support:design -...

Ошибки рендеринга после установки android-support v4
Всем привет! Случилась непонятная фигня, решил адаптировать свое приложение...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
12
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru